Bug 1411780 - MAC addresses that has been re-assigned are not freed when detaching data domain
Summary: MAC addresses that has been re-assigned are not freed when detaching data domain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 4.1.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Yevgeny Zaspitsky
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 13:09 UTC by Michael Burman
Modified: 2017-02-01 14:47 UTC (History)
2 users (show)

Fixed In Version: 4.1.0.1-0.4.master.20170119130917.git6eac575
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:47:43 UTC
oVirt Team: Network
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 70009 0 master ABANDONED engine: avoid allocating re-assigned MACs twice 2017-01-15 13:50:26 UTC
oVirt gerrit 70431 0 master MERGED engine: move assign new MAC to VmInterfaceManager.add method 2017-01-16 17:47:46 UTC
oVirt gerrit 70644 0 ovirt-engine-4.1 MERGED engine: move assign new MAC to VmInterfaceManager.add method 2017-01-17 13:54:43 UTC

Description Michael Burman 2017-01-10 13:09:05 UTC
Description of problem:
MAC addresses that has been re-assigned are not freed when detaching data domain.

Re-assigned MAC addresses are leaked in some way and on the next time we will detach the data domain this MAC addresses will not freed and will be considered in use by the engine. 

Version-Release number of selected component (if applicable):
4.1.0-0.4.master.20170109222652.git53fd6cb.el7.centos

How reproducible:
100%

Steps to Reproduce:
1. Create cluster with MAC pool range 00:00:00:00:00:10-00:00:00:00:00:11
2. Create new VM and add 1 vNIC from pool
3. Detach and remove data domain
4. Import data domain and the VM and re-assign the bad MAC(create situation in which this MAC will considered as bad, make it in use on destination or switch the clusters pool to make it out of range)
5. Now we have VM with MAC address that has been re-assigned
6. Detach and remove the data domain 
7. Import the data domain and the VM - the re-assigned mac from step 5^^ is now considered as in use, although we removed the VM on the detach data domain. The re-assigned mac from step 5^^ is now leaked.

Actual results:
re-assigned MAC address got leaked

Expected results:
MAC address should get freed on detach data domain

- See also BZ 1405761

Comment 1 Michael Burman 2017-01-22 12:00:31 UTC
Verified on -  4.1.0.1-0.1.el7


Note You need to log in before you can comment on or make changes to this bug.